| # Gaudi Framework, version v20r3
Generated: 24 Nov 2008

# NameAuditor Class Reference

`#include <NameAuditor.h>`

Inheritance diagram for NameAuditor:

[legend]
Collaboration diagram for NameAuditor:

[legend]

List of all members.

## Detailed Description

Definition at line 15 of file NameAuditor.h.

## Public Member Functions
| NameAuditor (const std::string &name, ISvcLocator *pSvcLocator)
virtual | ~NameAuditor ()
virtual void | beforeInitialize (INamedInterface *alg)
virtual void | afterInitialize (INamedInterface *alg)
virtual void | beforeReinitialize (INamedInterface *alg)
virtual void | afterReinitialize (INamedInterface *alg)
virtual void | beforeExecute (INamedInterface *alg)
virtual void | afterExecute (INamedInterface *alg, const StatusCode &)
virtual void | beforeBeginRun (INamedInterface *alg)
virtual void | afterBeginRun (INamedInterface *alg)
virtual void | beforeEndRun (INamedInterface *alg)
virtual void | afterEndRun (INamedInterface *alg)
virtual void | beforeFinalize (INamedInterface *alg)
virtual void | afterFinalize (INamedInterface *alg)
virtual void | before (CustomEventTypeRef evt, const std::string &caller)
virtual void | after (CustomEventTypeRef evt, const std::string &caller, const StatusCode &)
## Private Attributes
StringArrayProperty | m_types

## Constructor & Destructor Documentation

NameAuditor::NameAuditor | ( | const std::string & | name,
|  | ISvcLocator * | pSvcLocator |
| ) |  |  |

Definition at line 13 of file NameAuditor.cpp.

    00013                                                                         :
    00014   Auditor(name, pSvcLocator)
    00015 {
    00016
    00017   declareProperty("CustomEventTypes",m_types);
    00018
    00019 }

NameAuditor::~NameAuditor | ( |  | ) | `[virtual]`

Definition at line 21 of file NameAuditor.cpp.

    00021                          {
    00022 }

## Member Function Documentation

void NameAuditor::beforeInitialize | ( | INamedInterface * |  | ) | `[virtual]`

Deprecated:
  use before

Reimplemented from Auditor.

Definition at line 24 of file NameAuditor.cpp.

    00024                                                        {
    00025   MsgStream log(msgSvc(), name());
    00026   log << MSG::INFO << " About to Enter " << alg->name() <<
    00027   " Initialization Method" << endreq;
    00028 }

void NameAuditor::afterInitialize | ( | INamedInterface * |  | ) | `[virtual]`

Deprecated:
  use after

Reimplemented from Auditor.

Definition at line 29 of file NameAuditor.cpp.

    00029                                                       {
    00030   MsgStream log(msgSvc(), name());
    00031   log << MSG::INFO << "Just Exited " << alg->name() <<
    00032   " Initialization Method" << endreq;
    00033 }

void NameAuditor::beforeReinitialize | ( | INamedInterface * |  | ) | `[virtual]`

Deprecated:
  use before

Reimplemented from Auditor.

Definition at line 35 of file NameAuditor.cpp.

    00035                                                          {
    00036   MsgStream log(msgSvc(), name());
    00037   log << MSG::INFO << " About to Enter " << alg->name() <<
    00038   " Reinitialization Method" << endreq;
    00039 }

void NameAuditor::afterReinitialize | ( | INamedInterface * |  | ) | `[virtual]`

Deprecated:
  use after

Reimplemented from Auditor.

Definition at line 40 of file NameAuditor.cpp.

    00040                                                         {
    00041   MsgStream log(msgSvc(), name());
    00042   log << MSG::INFO << "Just Exited " << alg->name() <<
    00043   " Reinitialization Method" << endreq;
    00044 }

void NameAuditor::beforeExecute | ( | INamedInterface * |  | ) | `[virtual]`

Deprecated:
  use before

Reimplemented from Auditor.

Definition at line 46 of file NameAuditor.cpp.

    00046                                                     {
    00047   MsgStream log(msgSvc(), name());
    00048   log <<  MSG::INFO << "About to Enter " << alg->name() <<
    00049   " Execute Method" << endreq;
    00050 }

void NameAuditor::afterExecute | ( | INamedInterface * | ,
|  | const StatusCode & |  |
| ) |  |  | `[virtual]`

Deprecated:
  use after

Reimplemented from Auditor.

Definition at line 51 of file NameAuditor.cpp.

    00051                                                                         {
    00052   MsgStream log(msgSvc(), name());
    00053   log <<  MSG::INFO << "Just Exited " << alg->name() <<
    00054   " Execute Method" << endreq;
    00055 }

void NameAuditor::beforeBeginRun | ( | INamedInterface * |  | ) | `[virtual]`

Deprecated:
  use before

Reimplemented from Auditor.

Definition at line 57 of file NameAuditor.cpp.

    00057                                                      {
    00058   MsgStream log(msgSvc(), name());
    00059   log << MSG::INFO << " About to Enter " << alg->name() <<
    00060   " BeginRun Method" << endreq;
    00061 }

void NameAuditor::afterBeginRun | ( | INamedInterface * |  | ) | `[virtual]`

Deprecated:
  use after

Reimplemented from Auditor.

Definition at line 62 of file NameAuditor.cpp.

    00062                                                     {
    00063   MsgStream log(msgSvc(), name());
    00064   log << MSG::INFO << "Just Exited " << alg->name() <<
    00065   " BeginRun Method" << endreq;
    00066 }

void NameAuditor::beforeEndRun | ( | INamedInterface * |  | ) | `[virtual]`

Deprecated:
  use before

Reimplemented from Auditor.

Definition at line 67 of file NameAuditor.cpp.

    00067                                                    {
    00068   MsgStream log(msgSvc(), name());
    00069   log << MSG::INFO << " About to Enter " << alg->name() <<
    00070   " EndRun Method" << endreq;
    00071 }

void NameAuditor::afterEndRun | ( | INamedInterface * |  | ) | `[virtual]`

Deprecated:
  use after

Reimplemented from Auditor.

Definition at line 72 of file NameAuditor.cpp.

    00072                                                   {
    00073   MsgStream log(msgSvc(), name());
    00074   log << MSG::INFO << "Just Exited " << alg->name() <<
    00075   " EndRun Method" << endreq;
    00076 }

void NameAuditor::beforeFinalize | ( | INamedInterface * |  | ) | `[virtual]`

Deprecated:
  use before

Reimplemented from Auditor.

Definition at line 78 of file NameAuditor.cpp.

    00078                                                       {
    00079   MsgStream log(msgSvc(), name());
    00080   log <<  MSG::INFO << "About to Enter " << alg->name() <<
    00081   " Finalize Method" << endreq;
    00082 }

void NameAuditor::afterFinalize | ( | INamedInterface * |  | ) | `[virtual]`

Deprecated:
  use after

Reimplemented from Auditor.

Definition at line 83 of file NameAuditor.cpp.

    00083                                                     {
    00084   MsgStream log(msgSvc(), name());
    00085   log << MSG::INFO << "Just Exited " << alg->name() <<
    00086   " Finalize Method" << endreq;
    00087 }

void NameAuditor::before | ( | CustomEventTypeRef | evt,
|  | const std::string & | caller |
| ) |  |  | `[virtual]`

Reimplemented from Auditor.

Definition at line 90 of file NameAuditor.cpp.

    00090                                                                    {
    00091
    00092   if (m_types.value().size() != 0) {
    00093     if ( (m_types.value())[0] == "none") {
    00094       return;
    00095     }
    00096
    00097     if ( find(m_types.value().begin(), m_types.value().end(), evt) ==
    00098          m_types.value().end() ) {
    00099       return;
    00100     }
    00101   }
    00102
    00103   MsgStream log( msgSvc(), name() );
    00104   log << MSG::INFO << "About to Enter " << caller << " with auditor trigger "
    00105       << evt << endreq;
    00106
    00107 }

void NameAuditor::after | ( | CustomEventTypeRef | evt,
|  | const std::string & | caller,
|  | const StatusCode & |  |
| ) |  |  | `[virtual]`

Reimplemented from Auditor.

Definition at line 110 of file NameAuditor.cpp.

    00110                                                                                      {
    00111
    00112   if (m_types.value().size() != 0) {
    00113     if ( (m_types.value())[0] == "none") {
    00114       return;
    00115     }
    00116
    00117     if ( find(m_types.value().begin(), m_types.value().end(), evt) ==
    00118          m_types.value().end() ) {
    00119       return;
    00120     }
    00121   }
    00122
    00123   MsgStream log( msgSvc(), name() );
    00124   log << MSG::INFO << "Just Exited " << caller << " with auditor trigger "
    00125       << evt << endreq;
    00126
    00127 }

## Member Data Documentation

StringArrayProperty NameAuditor::m_types`[private]`

Definition at line 38 of file NameAuditor.h.

The documentation for this class was generated from the following files:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r3/GaudiAud/src/NameAuditor.h
- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r3/GaudiAud/src/NameAuditor.cpp